html {
    --header-height: 50px;
    --header-line-height: 20px;
    --header-font-size: 16px;
    --header-font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
    --base-font-family: "sans-serif";
    --header-padding: calc( calc( var(--header-height) - var(--header-line-height) ) / 2 );
    --left-padding: 50pt;
}
body {
    margin: 0;
    font-family: var(--base-font-family)
}
/*****************************************************************************
 * 
 * shamelessly stolen from font-awesome 
 */
@font-face {
    font-family: 'Font Awesome 5 Free';
    font-style: normal;
    font-weight: 900;
    src: url("../webfonts/fa-solid-900.eot");
    src: url("../webfonts/fa-solid-900.eot?#iefix") format("embedded-opentype"),
         url("../webfonts/fa-solid-900.woff2") format("woff2"), 
         url("../webfonts/fa-solid-900.woff") format("woff"), 
         url("../webfonts/fa-solid-900.ttf") format("truetype"), 
         url("../webfonts/fa-solid-900.svg#fontawesome") format("svg"); 
}
  
.fa, .fas {
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
}
.fa, .fas, .far, .fal, .fab {
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    display: inline-block;
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
    line-height: 1;
}
/*****************************************************************************
 *
 *
 */

 #header {
    background-color: black;
    color: #9d9d9d;
    line-height: var(--header-line-height);
    font-family: var(--header-font-family);
    font-size: var(--header-font-size);
    height: var( --header-height );
}
.navbar {
    overflow: hidden;    
}
.navbar a {
    float: left;
    text-align: center;
    font-size: var(--header-font-size);
    color: inherit;
    text-decoration: none;
    padding: var(--header-padding);
}
.navbar .right {
    float: right;
}
.dropdown {
    float: left;
    overflow: hidden;

}
.dropdown .dropbtn {
    clear: none;
    display: inline-block;      
    border: none;
    outline: none;
    font-size: inherit;
    color: inherit;
    background-color: transparent;
    padding: var(--header-padding);
    /* where the hell does this comes from ?     */
    padding-top: calc( var(--header-padding) - 2px );
    font-family: inherit;
    line-height: inherit;
    cursor: pointer;
    outline: none;
}
/*
 * automatically adds the down arrow to the buttons
 */
.dropdown .dropbtn:after {
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    content: " \f0d7";
}
.navbar a:hover, .dropdown:hover .dropbtn {
    color: white;
}
.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}  
.dropdown-content a {
    float: none;
    color: black;
    text-decoration: none;
    display: block;
    text-align: left;
  }
  
/* Add a grey background color to dropdown links on hover */
.dropdown-content a:hover {
    color: black;
    background-color: #ddd;
}
.dropdown:hover .dropdown-content {
    display: block;
}
#content {
    padding-left: var( --left-padding );
    padding-right: var( --left-padding );
}